npm install is failing in osx 10.6 , nodejs 0.4.3 #736

Closed
c4milo opened this Issue Mar 22, 2011 · 10 comments

Comments

Projects
None yet
4 participants

c4milo commented Mar 22, 2011

camilo@buggersillo:~> curl http://npmjs.org/install.sh | npm_install=rc sh
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 2047 100 2047 0 0 11220 0 --:--:-- --:--:-- --:--:-- 45488
fetching: http://registry.npmjs.org/npm/-/npm-1.0.0rc3.tgz
0.4.3
! [ -d .git ] || git submodule update --init
node cli.js cache clean
node cli.js rm npm -g
npm WARN Not installed in /usr/local/lib/node_modules npm
node cli.js install -g
npm ERR! Unsupported
npm ERR! Not compatible with your version of node/npm: npm@1.0.0rc3
npm ERR! Required: {"node":"0.4 || 0.5","npm":"1"}
npm ERR! Actual: {"npm":"1.0.0rc3","node":"v0.4.3"}
npm ERR!
npm ERR! System Darwin 10.6.0
npm ERR! command "node" "/private/var/folders/07/07XHAiSxGym0OxoDtHXynE+++TM/-Tmp-/npm.54776/package/cli.js" "install" "-g"
npm ERR!
npm ERR! Additional logging details can be found in:
npm ERR! /private/var/folders/07/07XHAiSxGym0OxoDtHXynE+++TM/-Tmp-/npm.54776/package/npm-debug.log
npm not ok
It worked

What's the stable version of npm for nodejs 0.4.x?

Getting the same in Ubuntu 10.04:

102  2047  102  2047    0     0    389      0  0:00:05  0:00:05 --:--:-- 36553
fetching: http://registry.npmjs.org/npm/-/npm-1.0.0rc3.tgz
0.4.3
! [ -d .git ] || git submodule update --init
node cli.js cache clean
node cli.js rm npm -g
npm WARN Not installed in /usr/local/lib/node_modules npm
node cli.js install -g
npm ERR! Unsupported
npm ERR! Not compatible with your version of node/npm: npm@1.0.0rc3
npm ERR! Required: {"node":"0.4 || 0.5","npm":"1"}
npm ERR! Actual:   {"npm":"1.0.0rc3","node":"v0.4.3"}
npm ERR! 
npm ERR! System Linux 2.6.32-24-generic
npm ERR! command "node" "/tmp/npm.32570/package/cli.js" "install" "-g"
npm ERR! 
npm ERR! Additional logging details can be found in:
npm ERR!     /tmp/npm.32570/package/npm-debug.log
npm not ok
It worked

and, for what it's worth, the whole thing seems to clear its own /tmp dir, so I can't easily get to the log file

c4milo commented Mar 22, 2011

I worked doing curl http://npmjs.org/install.sh | sh

Worked for me, too. Thanks!

(though I'd imagine that the issue is still valid)

Owner

isaacs commented Mar 22, 2011

Closed by bc7cef1 update semver to 1.0.2

isaacs closed this Mar 22, 2011

Owner

isaacs commented Mar 23, 2011

Should be working now.

After updating to 0.4.6 i'm still getting having this issue when using npm to install packages:

npm ERR! Requires: {"node":">=0.4.2"}
npm ERR! You have: {"node":"v0.4.1","npm":"0.3.18"}

Kyle-Robertss-MacBook-Pro:bin kyleroberts$ which node
/Users/kyleroberts/local/node/bin/node
Kyle-Robertss-MacBook-Pro:bin kyleroberts$ node -v
v0.4.1
Kyle-Robertss-MacBook-Pro:bin kyleroberts$ npm config get node-version
v0.4.1

Owner

isaacs commented Apr 18, 2011

Run these commands:

which node
node -v
npm config get node-version

Kyle-Robertss-MacBook-Pro:bin kyleroberts$ which node
/Users/kyleroberts/local/node/bin/node
Kyle-Robertss-MacBook-Pro:bin kyleroberts$ node -v
v0.4.1
Kyle-Robertss-MacBook-Pro:bin kyleroberts$ npm config get node-version
v0.4.1

Thanks for the prompt response, greatly appreciated!

Kyle Roberts

On Monday, April 18, 2011 at 12:07 PM, isaacs wrote:

Run these commands:

which node
node -v
npm config get node-version

Reply to this email directly or view it on GitHub:
isaacs#736 (comment)

Owner

isaacs commented Apr 18, 2011

Well, while you may have installed node 0.4.6 somewhere, you didn't install 0.4.6 at ~/local/node/bin/node.

Maybe you neglected to configure it with a --prefix=~/local/node?

Ah yes, i did the simple CURL method.. I think the main issue is that i specified a --prefix in my original install, but not during this update.. Keep up the great work on npm / node - lovin' it! I'll try this solution, thanks!

Kyle Roberts

On Monday, April 18, 2011 at 12:16 PM, isaacs wrote:

Well, while you may have installed node 0.4.6 somewhere, you didn't install 0.4.6 at ~/local/node/bin/node.

Maybe you neglected to configure it with a --prefix=~/local/node?

Reply to this email directly or view it on GitHub:
isaacs#736 (comment)

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment